Math extension, chemistry packages
Closed, ResolvedPublic

Description

The math extension supports TeX but it doesn't appear to support rendering for chemical equations (e.g., \ce{} is not rendered), even though it is possible for them to be supported, according to the developer of this extension (see the MediaWiki-l mailing list archive, https://lists.wikimedia.org/pipermail/mediawiki-l/2015-May/044333.html).

The proposal:

Related Objects

Fuse809 created this task.May 6 2015, 10:03 AM
Fuse809 added a project: Wikimedia-Bugzilla.
Fuse809 added a subscriber: Fuse809.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 10:03 AM
Aklapper raised the priority of this task from "Normal" to "Needs Triage".May 19 2015, 6:20 PM
Aklapper edited projects, added Math; removed Wikimedia-Bugzilla.
Aklapper set Security to None.

is this a duplicate of T99497

Pkra added a subscriber: Pkra.May 19 2015, 6:48 PM

is this a duplicate of T99497

This bug here is a request for (something like) the mhchem package which does "chemical equations", while T99497 is about (something like the) chemfig package, a tikz-based visual rendering of chemical structures.

This sould be easy to fix once we got rid of texvc and client side rendering modes. It does not seem that far anymore... the parsoid team makes good progress...

Physikerwelt triaged this task as "High" priority.Jan 15 2016, 10:14 AM
Physikerwelt claimed this task.

@Fuse809: by the way, is this still an issue?

Well I haven't maintained my own MediaWiki site in almost six months, so not really, but you know this feature wouldn't just be helpful for me if I were still using MW, but it would also be useful for editors of the various Wikipedias as they cover topics in Chemistry.

Change 267241 had a related patch set uploaded (by Physikerwelt):
WIP: chem support

https://gerrit.wikimedia.org/r/267241

So https://gerrit.wikimedia.org/r/267241 should be ready for review now.
I think we should not merge this before the extended error handling for mathoid got deployed.

Change 267241 merged by Mobrovac:
Support for chemical formulae

https://gerrit.wikimedia.org/r/267241

... would that be useful for wikidata?

Physikerwelt closed this task as "Resolved".Feb 13 2016, 9:21 PM

Bit late to this party but <ce> seems like a very short acronym to use for a tag name http://en.wikipeida.org/wiki/ce lists just a few things it could stand for (including at least two other things in the field of chemistry).

Could we rename to <chem> and make <ce> a deprecated alias?

Physikerwelt added a comment.EditedDec 18 2016, 11:31 AM

@Esanders can you open a new task? I have no strong opionion on the tag name. However, keep in mind that <ce> (ftp://www.ctan.org/tex-archive/macros/latex/contrib/mhchem/mhchem.pdf) currently only supports sum formulae, maybe chem should be reserved for strucuture formulae.